Bug 1251637 - Installing OpenTeacher breaks Gnome Software
Installing OpenTeacher breaks Gnome Software
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openteacher (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-08 01:23 EDT by Sudeep Baral
Modified: 2016-03-26 14:10 EDT (History)
5 users (show)

See Also:
Fixed In Version: openteacher-3.2-5.fc23 openteacher-3.2-5.fc22 openteacher-3.2-5.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-23 18:27:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This screen is shown when searched for an Application in Gnome Software (16.63 KB, image/png)
2015-08-08 01:23 EDT, Sudeep Baral
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1556510 None None None 2016-03-12 18:19 EST

  None (edit)
Description Sudeep Baral 2015-08-08 01:23:09 EDT
Created attachment 1060527 [details]
This screen is shown when searched for an Application in Gnome Software

Description of problem: AppStream data isn't refreshed. Gnome Software doesn't show any application and says No Application Data Found.


Version-Release number of selected component (if applicable): 3.2-1.fc22


How reproducible: Fire in terminal >
killall gnome-software
gnome-software --verbose





Additional info: Log of above command > http://pastebin.com/zRVxKh9j
Comment 1 Kevin Kofler 2016-03-12 16:34:57 EST
/usr/share/mime/packages/openteacher.xml contains this gem:
	<!-- Pauker -->
	<mime-type type="application/x-pauker">
		<comment>Pauker</comment>
		<glob pattern="*.xml.gz"/>
		<icon>application/x-pauker</icon>
	</mime-type>
This defines all *.xml.gz files as Pauker files. This needs to go away! (It's fine to match *.pau and *.pau.gz, i.e., the other 2 blocks for Pauker, but most definitely not *.xml.gz.)
Comment 2 Rex Dieter 2016-03-12 18:19:56 EST
bug filed upstream,
https://bugs.launchpad.net/openteacher/+bug/1556510
Comment 3 Rex Dieter 2016-03-12 19:00:28 EST
whipped up a quick-n-dirty patch to omit the obviously-wrong stuff mentioned in comment #1, applying fix to git now
Comment 4 Fedora Update System 2016-03-12 19:03:26 EST
openteacher-3.2-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f61e0d06a
Comment 5 Fedora Update System 2016-03-12 19:04:08 EST
openteacher-3.2-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9cc099459a
Comment 6 Fedora Update System 2016-03-12 19:05:01 EST
openteacher-3.2-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-de6dc42561
Comment 7 Fedora Update System 2016-03-13 21:20:00 EDT
openteacher-3.2-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-de6dc42561
Comment 8 Fedora Update System 2016-03-15 14:49:56 EDT
openteacher-3.2-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f61e0d06a
Comment 9 Fedora Update System 2016-03-15 15:22:05 EDT
openteacher-3.2-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9cc099459a
Comment 10 Fedora Update System 2016-03-23 18:27:23 EDT
openteacher-3.2-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-03-23 20:01:30 EDT
openteacher-3.2-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-03-26 14:10:17 EDT
openteacher-3.2-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.